{% extends "usuarios/index.html" %}
{% load staticfiles %}

{% block bibliotecas %}

{% endblock %}

{% block barra_horizontal %}
    {% if usuario.tipo == usuario.TIPO_DOCENTE %}
    <li>
        <a class="btn btn-secondary botao-barra-horizontal" href="{% url 'educacao:criar_disciplina' %}">
            <span><img src="{% static 'icones/novo.svg'%}" width="20px"></span>Criar disciplina
        </a>
    </li>
    {% endif %}

{#    <li>#}
{#        <a class="btn btn-secondary botao-barra-horizontal" href="#">#}
{#            <span><img src="{% static 'icones/apagar.svg'%}" width="20px"></span>Remover#}
{#        </a>#}
{#    </li>#}
{% endblock %}


{% block barra_avisos_verde %}
    {% if alguma_coisa %}
        <p>texto</p>
    {% endif %}
{% endblock %}

{% block barra_avisos_vermelha %}
    {% if alguma_coisa %}
        <p>texto</p>
    {% endif %}
{% endblock %}


{% block corpo_pagina %}
    <div class="row">
        <div class="col-lg-12">

            {% for disciplina in disciplinas %}
            {% if disciplina.visivel == True or usuario in disciplina.professores.all %}
            <div class="card cartao">
                <h5 class="card-header cartao-titulo">
                    <img src="{{ disciplina.icone.url }}">
                    {{ disciplina.sigla }} ({{ disciplina.turma }})
                </h5>
                <div class="card-body">
                    <p class="card-title">
                        {% if disciplina.inscritos.count == 0 %}
                            <p class="card-text">Não há nenhum estudante matriculado</p>
                        {% elif disciplina.inscritos.count == 1 %}
                            <p class="card-text">Existe 1 estudante matriculado</p>
                        {% else %}
                            <p class="card-text">Existem {{ disciplina.inscritos.count }} estudantes matriculados</p>
                        {% endif %}

                        {% if usuario.tipo == usuario.TIPO_DOCENTE and usuario in disciplina.professores.all %}
                        <a href="{% url 'educacao:editar_disciplina' disciplina.id %}" class="btn btn-outline-secondary botao-cartao">
                            <img src="{% static 'icones/editar.svg'%}" width="20px">
                            Editar
                        </a>
                        {% endif %}

                        {% if usuario in disciplina.inscritos.all or usuario in disciplina.professores.all %}
                        <a href="{% url 'educacao:ver_disciplina' disciplina.id %}" class="btn btn-outline-secondary botao-cartao">
                            <img src="{% static 'icones/lupa.svg'%}" width="20px">
                            Abrir
                        </a>
                        {% else %}
                            {% if disciplina.aberto_para_inscricoes %}
                            <a class="btn btn-outline-secondary botao-cartao" href="{% url 'educacao:matricular_na_disciplina' disciplina.id %}">
                                <img src="{% static 'icones/novo.svg'%}" width="20px">Me inscrever
                            </a>
                            {% endif %}
                        {% endif %}
                    </p>
                </div>
            </div>
            {% endif %}
            {% endfor %}

        </div>

        <div class="col-lg-6">
        </div>
    </div>
{% endblock %}




{% block javascript %}
{% endblock %}

